Subject: bug#21191: closed (Re: bug#21191: Obsolete eudcb-ph.el)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Dec 2015 03:05:04 +0000

Your bug report

#21191: Obsolete eudcb-ph.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21191: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21191
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21191: Obsolete eudcb-ph.el
From: Thomas Fitzsimmons <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 06 Dec 2015 22:04:33 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

fixed 21191 25.1
thanks

Glenn Morris <[email-masked]> writes:

> Thomas Fitzsimmons wrote:
>
>> Makes sense.  I'll work on this.  I didn't see a specific set of
>> instructions in admin or CONTRIBUTE for how to obsolete an elisp file,
>> so I'll try to follow the procedures that were used for some other
>> recently-obsoleted files.
>
> Thanks. Basically just: move the file to the lisp/obsolete directory,
> add an "Obsolete-since" header, mention this in NEWS, and remove it from
> the manual.

Done.  Let me know if I missed anything.

>> I also noticed eudc-bob.el; I'm not sure what it does or if anyone uses
>> it.  Any thoughts on that one?

I noticed references to this in the manual.  I think it might still be
useful for LDAP results.  I left it in for now, until I get a chance to
try it.

Thomas

Subject: Obsolete eudcb-ph.el
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 05 Aug 2015 02:53:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.5
Severity: wishlist

I doubt CCSO PH/QI has seen much/any use in at least the past decade,
so I suggest obsoleting eudcb-ph.el (and making eudc basically an ldap
client. Well, I see there's also bbdb and a never-documented or
announced AddressBook backend.)